QuantLib: ContinuousArithmeticAsianVecerEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
ContinuousArithmeticAsianVecerEngine Class Reference

Vecer engine for continuous-avaeraging Asian options. More...

`#include <ql/experimental/exoticoptions/continuousarithmeticasianvecerengine.hpp>`

Inheritance diagram for ContinuousArithmeticAsianVecerEngine:
[legend]

## Public Member Functions
| ContinuousArithmeticAsianVecerEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, const Handle< Quote > &currentAverage, Date startDate, Size timeSteps=100, Size assetSteps=100, Real z_min=-1.0, Real z_max=1.0)
void | calculate () const
Public Member Functions inherited from GenericEngine< ContinuousAveragingAsianOption::arguments, ContinuousAveragingAsianOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Protected Member Functions
Real | cont_strategy (Time t, Time T1, Time T2, Real v, Real r) const

## Additional Inherited Members
Protected Attributes inherited from GenericEngine< ContinuousAveragingAsianOption::arguments, ContinuousAveragingAsianOption::results >
ContinuousAveragingAsianOption::arguments | arguments_
ContinuousAveragingAsianOption::results | results_

## Detailed Description

Vecer engine for continuous-avaeraging Asian options.

See http://www.stat.columbia.edu/~vecer/asian-vecer.pdf